/***********************
* Actions de compositions pour Adobe Edge Animate
*
* Modifier ce fichier avec précaution, en veillant à conserver 
* les signatures et les commentaires de fonction commençant par « Edge » pour maintenir la 
* possibilité d’interagir avec ces actions depuis Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // alias pour les classes Edge couramment utilisées

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindElementAction(compId, symbolName, "${_bt1}", "click", function(sym, e) {
         sym.$("lumiere").css({opacity:0.2});

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
         sym.$("bt2").click(clic2);
         
         function clic2() {
         	sym.$("lumiere2").css({opacity:0.2});
         }
         
         // ------------------------------------------
         
         sym.$(".boutonBleu").click(clic3);
         
         function clic3() {
         	sym.$("lumiere3").css({opacity:0.5});
         }
         
         // ------------------------------------------
         
         sym.$(".boutonBleu").mouseover(survol);
         sym.$(".boutonBleu").mouseout(sortieSurvol);
         
         function survol() {
         	sym.$("lumiere3").css({opacity:1});
         }
         function sortieSurvol() {
         	sym.$("lumiere3").css({opacity:0.2});
         }
         
         // ------------------------------------------
         
         sym.$(".boutonVert").click(clicVert);
         
         
         function clicVert() {
         	sym.$(".boutonVert").css({backgroundColor:"green"});
         	sym.$(this).css({backgroundColor:"red"});
         }
         
         // ------------------------------------------
         
         sym.$("bt9").attr({id:"boutonViolet"});
         sym.$("#boutonViolet").animate({top:150},10000);
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt9}", "click", function(sym, e) {
         sym.$("#boutonViolet").css({width:80,height:80});

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

})(jQuery, AdobeEdge, "EDGE-14387421");